// -*- c++ -*-
# ifndef SquareTestCase_h
# define SquareTestCase_h
#include "TestHeader.h"
class SquareTestCase:
  public TestCase
{
public:
  CPPUNIT_TEST_SUITE(SquareTestCase);
  CPPUNIT_TEST( testFile );
  CPPUNIT_TEST( testRank );
  CPPUNIT_TEST( left );
  CPPUNIT_TEST( right );
  CPPUNIT_TEST( up );
  CPPUNIT_TEST( down );
  CPPUNIT_TEST( directionUp );
  CPPUNIT_TEST( diagonalDirections );
  CPPUNIT_TEST( knightDirections );
  CPPUNIT_TEST( allInstances );
  CPPUNIT_TEST( testNumber );
  CPPUNIT_TEST( testDirections );
  CPPUNIT_TEST( testDownDiagonalNumber );
  CPPUNIT_TEST( testNumberRotated45 );
  CPPUNIT_TEST( testNumberRotated135 );
  CPPUNIT_TEST( testUpDiagonalNumber );
  CPPUNIT_TEST_SUITE_END();
  
protected:
  void testFile();
  void testRank();
  void left();
  void right();
  void up();
  void down();
  void directionUp();
  void diagonalDirections();
  void knightDirections();
  void allInstances();
  void testNumber();
  void testDirections();
  void testDownDiagonalNumber();
  void testNumberRotated45();
  void testNumberRotated135();
  void testUpDiagonalNumber();
};
#endif
